package model

import operationPb "kpt-tmr-group/proto/go/backend/operation"

type FeedFormulaDetail struct {
	Id              int64                   `json:"id"`
	PastureId       int64                   `json:"pasture_id"`
	PastureName     string                  `json:"pasture_name"`
	PastureDataId   int64                   `json:"pasture_data_id"`
	FeedFormulaId   int64                   `json:"feed_formula_id"`
	ForageId        int64                   `json:"forage_id"`
	ForageName      string                  `json:"forage_name"`
	ForageGroupName string                  `json:"forage_group_name"`
	Weight          int32                   `json:"weight"`
	StirDelay       int32                   `json:"stir_delay"`
	AllowError      int32                   `json:"allow_error"`
	IsShow          operationPb.IsShow_Kind `json:"is_show"`
	Sort            int32                   `json:"sort"`
	CreatedAt       int64                   `json:"created_at"`
	UpdatedAt       int64                   `json:"updated_at"`
}

func (f *FeedFormulaDetail) TableName() string {
	return "feed_formula_detail"
}
